Subject: Fwd: I-D ACTION:draft-blanchet-v6ops-routing-guidelines-00.txt

From: Bill Manning <[email-masked]>
Date: Fri, 16 Sep 2005 14:55:38 -0700

sorry, the I-D has no information as to where this should be  
discussed... so:

i am convinced that the IETF has no business telling me what routes i  
may or may not
accept from or send to my peers, with the exception of prefixes of  
undefined BEHAVIOUR,
much like the IPv4 class "E" space.  That said,  if these are  
Guidelines, as the title suggests,
then there is no place for  the "MUST/MAY/SHOULD" keywords.   Even now,  
within the RIR
and operational communities, there are discussions on changing the /48  
boundaries.

this draft should be abandon, imho.  if kept, it needs serious surgery.

--bill

Begin forwarded message:

> From: [email-masked]
> Date: September 16, 2005 12:50:02 PDT
> To: [email-masked]
> Subject: I-D ACTION:draft-blanchet-v6ops-routing-guidelines-00.txt
> Reply-To: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
>
> 	Title		: IPv6 Routing Policies Guidelines
> 	Author(s)	: M. Blanchet
> 	Filename	: draft-blanchet-v6ops-routing-guidelines-00.txt
> 	Pages		: 7
> 	Date		: 2005-9-16
> 	
>    Guidelines on how to handle IPv6 routes are needed for operators of
>    networks, either providers or enterprises.  This document is a
>    followup of RFC2772 work but for the production IPv6 Internet.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-blanchet-v6ops-routing- 
> guidelines-00.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of  
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
>
> Internet-Drafts are also available by anonymous FTP. Login with the  
> username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-blanchet-v6ops-routing-guidelines-00.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE  
> /internet-drafts/draft-blanchet-v6ops-routing-guidelines-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce
_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Bob Hinden <[email-masked]>
Date: Fri, 16 Sep 2005 15:35:33 -0700

Hi Bill,

At 02:55 PM 09/16/2005, Bill Manning wrote:
>sorry, the I-D has no information as to where this should be discussed... so:

Umm, from the file name I would have thought V6OPS is the intended venue to 
discuss it.

   draft-blanchet-v6ops-routing-guidelines-00.txt

Suggesting moving any follow up discusson there.

Bob

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Sat, 17 Sep 2005 15:11:40 +0200

On 16-sep-2005, at 23:55, Bill Manning wrote:

> i am convinced that the IETF has no business telling me what routes  
> i may or may not accept from or send to my peers, with the  
> exception of prefixes of undefined BEHAVIOUR, much like the IPv4  
> class "E" space.  That said,  if these are Guidelines, as the title  
> suggests, then there is no place for  the "MUST/MAY/SHOULD"  
> keywords.   Even now, within the RIR and operational communities,  
> there are discussions on changing the /48 boundaries.

I think the IETF has more business telling people what they should  
and shouldn't do in routing than the RIRs. They are clearly not up to  
the task. For instance, for the past two years (if not longer), the  
ARIN policy ( http://www.arin.net/policy/nrpm.html#six43 ) says that  
it's ok to filter at a /32 boundary while they also give out /48  
prefixes ( http://www.arin.net/reference/micro_allocations.html ).

Also, the fact that the RIRs get to make up their own address  
policies is a very bad idea because there is just one global routing  
table so clearly, if all five of them have different policies, then  
four of those are sub-optimal. And it makes it very hard for people  
who care about the long term stability of the internet to apply  
backpressure against the greediness of RIR members that just want  
their own address block and the consequences be damned.

> this draft should be abandon, imho.  if kept, it needs serious  

I agree that this draft isn't very useful. It only repeats the  
guidelines that are already present in various documents with the  
addition of the requirement that prefixes are /48 or shorter, which  
doesn't make much sense. The IPv6 unicast address space allows for  
2^45 /48s, and there is no way interdomain routing is going to scale  
with 35184372088832 routes. So if we're only going to carry a subset  
of the full set of /48 routes, there is no reason to set a hard  
boundary at /48. And in section 2.6, RFC 3513 states that for some  
anycast addresses, "the anycast address must be maintained as a  
separate routing entry throughout the entire internet". So that would  
be a /128.

---

From: [email-masked]
Date: Fri, 16 Sep 2005 22:45:40 +0000

> Suggesting moving any follow up discusson there.

	you may be right.  i've learned from experience about
	assuming much of anything.  back in the day, drafts
	generally indicated where followup discussion might
	occur, if they were not clearly WG products.

--bill